<?php
/**
 * Kuza: Color Patterns
 *
 * @package WordPress
 * @subpackage Kuza
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function kuza_custom_colors_css() {

	$color_value = kuza_get_option('colorscheme_hue');
	$footer_wgt_bg_color = kuza_get_option('footer_widget_background_color');
	$footer_wgt_font_color = kuza_get_option('footer_widget_font_color');
	$footer_cr_bg_color = kuza_get_option('footer_copyright_background_color');
	$footer_cr_font_color = kuza_get_option('footer_copyright_font_color');
	$menu_bg_color = kuza_get_option('menu_background_color');
	$menu_font_color = kuza_get_option('menu_font_color');
	$travel_background_color = kuza_get_option('travel_background_color');
	$trending_background_color = kuza_get_option('trending_background_color');
	$instagram_section_background_color = kuza_get_option('instagram_section_background_color');
	$popular_background_color = kuza_get_option('popular_background_color');
	$recent_background_color = kuza_get_option('recent_background_color');
	$about_background_color = kuza_get_option('about_background_color');
	$mustread_background_color = kuza_get_option('mustread_background_color');
	$portfolio_background_color = kuza_get_option('portfolio_background_color');
	$slider_background_color = kuza_get_option( 'slider_background_color');

	$header_text_decoration = kuza_get_option('header_text_decoration_options');
	$header_text_transform = kuza_get_option('header_text_transform_options');
	$header_font_style = kuza_get_option('header_font_style_options');
	$header_padding = kuza_get_option('header_top_buttom_padding');
	
	$css = '
	#respond input[type="submit"],
	.site-menu .top-search form.search-form input, 
	.menu-toggle span,
	.post-navigation a:hover, 
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.pagination .page-numbers.prev:hover, 
	.pagination .page-numbers.next:hover,
	.pagination .page-numbers.prev:focus, 
	.pagination .page-numbers.next:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.widget_search form.search-form button.search-submit,
	.jetpack_subscription_widget input[type="submit"]:hover,
	.jetpack_subscription_widget input[type="submit"]:focus,
	input[type="submit"],
	.wpcf7 input[type="submit"],
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.blog-posts .post-categories,
	.tags-links a:hover,
	.tags-links a:focus,
	.reply a,
	.reply a:hover:before,
	.reply a:focus:before,
	.btn,
	.slick-dots li.slick-active button:before,
	#featured-slider .content-overlay .separator,
	#about .slick-dots li.slick-active button::before,
	.more-link,
	#colophon .widget_search form.search-form button.search-submit,
	.slick-dots li.slick-active button:before,
	#project .slick-dots li.slick-active button:before,
	.team-section .position::before,
	#features article .icon-container a,
	#testimonial .slick-dots li.slick-active button:before,
	#details ul.tabs li.active a:hover, 
	#details ul.tabs li.active a, 
	.slider-box,
	.moivng-ball,
	#newsfeatured .cat-links a,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	#pricing article:nth-child(2n) .price-table-wrapper,
	#pricing article:nth-child(3n) .btn,
	#pricing article:nth-child(n) .btn,
	#pricing article:nth-child(n) .btn,
	.home-normal-magazine .section-title, 
	.home-magazine .section-title,
	.posts-tabs-widget .post-tabs-wrapper .post-tabs-head .post-tabs li a,
	.posts-tabs-widget .post-tabs-wrapper .post-tabs-head .post-tabs li a:hover,
	.posts-tabs-widget .post-tabs-wrapper .post-tabs-head .post-tabs li a:focus
	{
	    background-color: ' . esc_attr($color_value) . ';
	}
	a:hover,
	.entry-title a:hover,
	.entry-title a:focus,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul.nav-menu > li:hover > a,
	.main-navigation ul.nav-menu > li:focus > a,
	.main-navigation ul.nav-menu .current-menu-item > a,
	.menu-item a:focus,
	.menu-item a:hover,
	.menu-toggle:focus,
	button.dropdown-toggle:focus,
	.featured-content-wrapper a:focus,
	.menu-toggle i,
	button.dropdown-toggle .fa,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	#secondary a:hover,
	#secondary a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.page-header small,
	.entry-meta a:hover,
	.entry-meta a:focus,
	.tags-links a,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	#featured-slider .entry-meta .cat-links a,
	.image-overlay.featured-content-wrapper .entry-title:hover,
	.image-overlay.featured-content-wrapper a:focus .entry-title,
	.content-overlay.featured-content-wrapper .entry-title:hover,
	.content-overlay.featured-content-wrapper a:focus .entry-title,
	#about article .entry-title a:hover,
	#about article .entry-title a:focus,
	#blog .entry-title a:hover,
	#blog .entry-title a:focus,
	.entry-meta .cat-links a,
	.blog-posts-wrapper .comments-link a:hover,
	.blog-posts-wrapper .comments-link a:focus,
	.blog-posts-wrapper .entry-title a:hover,
	.about-two #about .entry-meta .cat-links a,
	.cat-links a,
	.cat-links::before,
	.btn-transparent,
	#services .icon-container i,
	#services .services-item-wrapper:hover .entry-title a,
	#services .services-item-wrapper:hover .icon-container i,
	#services .icon-container a:hover,
	#services .icon-container a:focus,
	#services .entry-title a:hover,
	#services .entry-title a:focus,
	#details .entry-title a:hover,
	#details .entry-title a:focus,
	.project-slider .entry-title a:hover,
	.project-slider .entry-title a:focus,
	#project .btn,
	.team-section .entry-title a:hover,
	.team-section .entry-title a:focus,
	#features .section-subtitle,
	#features .entry-title a:hover,
	#features .entry-title a:focus,
	#contact ul.contact-address li a:hover,
	.testimonial-slider .entry-title a:hover,
	.testimonial-slider .entry-title a:focus,
	#testimonial .btn,
	.project-slider .slick-prev::before,
    .project-slider .slick-next::before,
    .testimonial-slider .slick-prev::before, 
    .testimonial-slider .slick-next::before,
    #details .section-title a:hover, 
    #details .section-title a:focus, 
    #details .entry-title a:hover, 
    #details .entry-title a:focus,
    #details .portfolio-content::before,
    ul.tabs li a:hover,
    #portfolio .entry-title a:hover, 
    #portfolio .entry-title a:focus,
    #details .entry-details-title a:hover, 
    #details .entry-details-title a:focus,
    #portfolio ul.tabs li.active a,
	#portfolio ul.tabs li a:hover,
	.dark-layout #site-navigation.main-navigation ul.nav-menu .current-menu-item > a,
	.dark-layout #secondary a:hover,
	.dark-layout #secondary a:focus,
	.dark-layout a:hover,
	.dark-layout a:focus,
	#secondary .popular-news article .entry-meta a,
	#secondary .sidebar-popular-news .entry-meta a,
	#travel .entry-title a:hover,
	#travel .entry-title a:focus,
	#recent .entry-title a:hover,
	#recent .entry-title a:focus,
	#mustread .entry-title a:hover,
	#mustread .entry-title a:focus,
	.default-trending #trending a:hover, 
	.default-trending #trending a:focus, 
	#trending article .entry-title a:hover, 
	#trending article .entry-title a:focus,
	#hero a:hover,
	#hero a:focus,
	#galleryview .entry-title a:hover, 
	#galleryview .entry-title a:focus,
	.categorynews-wrapper .view-all::after,
	#categorynews .categorynews-wrapper article h2 a:hover,
	#categorynews .categorynews-wrapper article h2 a:focus,
	#pricing article .price-icon-container,
	#pricing article:nth-child(n) .price,
	.entry-content a:hover,
	.blog-posts-wrapper .entry-title a:hover, 
	.blog-posts-wrapper .entry-title a:focus,
	#jp-relatedposts .jp-relatedposts-items .jp-relatedposts-post .jp-relatedposts-post-title a:hover,
	.dark-layout #portfolio ul.tabs li.active a, 
	.dark-layout #portfolio ul.tabs li a:hover, 
	.dark-layout #site-navigation.main-navigation ul.nav-menu .current-menu-item > a, 
	.dark-layout #secondary a:hover, 
	.dark-layout #secondary a:focus, 
	.dark-layout a:hover, .dark-layout a:focus,
	.menu-hover-3 .main-navigation ul.nav-menu > li.menu-item-has-children:hover:after
	{
		color: ' . esc_attr($color_value) . ';
	} 
	.entry-title a:hover,
	.entry-title a:focus,
	.menu-hover-2 .main-navigation ul.nav-menu > li > a
	{
		--c: ' . esc_attr($color_value) . ';
	} 
	:root
	{
		--primary-color: ' . esc_attr($color_value) . ';
	}
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.featured-content-wrapper .btn:hover .more-icon svg, 
	.featured-content-wrapper .btn:focus .more-icon svg,
	#call-to-action .btn:hover .more-icon svg, 
	#call-to-action .btn:focus .more-icon svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a.search-active:hover svg,
	.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg {
	    fill: ' . esc_attr($color_value) . ';
	}
	#respond input[type="submit"],
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	.pagination .page-numbers.prev:hover, 
	.pagination .page-numbers.next:hover,
	.pagination .page-numbers.prev:focus, 
	.pagination .page-numbers.next:focus,
	.widget_search form.search-form input[type="search"]:focus,
	input[type="text"],
	input[type="email"],
	input[type="url"],
	input[type="password"],
	input[type="search"],
	input[type="number"],
	input[type="tel"],
	input[type="range"],
	input[type="date"],
	input[type="month"],
	input[type="week"],
	input[type="time"],
	input[type="datetime"],
	input[type="datetime-local"],
	input[type="color"],
	textarea,
	input[type="submit"],
	.wpcf7 input[type="submit"],
	.tags-links a,.tags-links a:hover,
	.tags-links a:focus,
	.reply a,
	.btn,
	.more-link,
	.btn-transparent,
	#pricing article:nth-child(3n) .btn,
	.menu-hover-3 .main-navigation ul.nav-menu > li > a::before,
	.menu-hover-3 .main-navigation ul.nav-menu > li > a:after
	{
		border-color: ' . esc_attr($color_value) . ';
	}
	.site-menu
	{
		padding-top: ' . esc_attr($header_padding) . 'px !important;
		padding-bottom: ' . esc_attr($header_padding) . 'px !important;
	}
	#secondary .widget > ul li:first-child, 
	#secondary .widget > ul li:hover, 
	#secondary .widget_nav_menu ul li:first-child, 
	#secondary .widget_nav_menu ul li:hover {
		border-left-color: ' . esc_attr($color_value) . ';
	}
	#colophon{
		background-color: '. esc_attr($footer_wgt_bg_color) . ';
	}
	#colophon .widget-title, 
	#colophon .widgettitle,
	#colophon .widget li::before,
	#colophon .widget li a,
	#colophon p{
		color: '. esc_attr($footer_wgt_font_color) . ';
	}
	.site-info{
		background-color: '. esc_attr($footer_cr_bg_color) . ';
	}
	.site-info span.copy-right{
		color: '. esc_attr($footer_cr_font_color) . ';
	}
	.header-one #masthead,
	body:not(.header-four) .main-navigation ul ul li a,
	.header-three .site-menu nav, 
	.header-two .site-menu nav,
	.header-three .site-menu nav,.header-three.home-magazine .site-menu nav, 
	.header-two.home-magazine .site-menu nav, 
	.header-three.home-normal-magazine .site-menu nav, 
	.header-two.home-normal-magazine .site-menu nav,
	.header-five .site-menu nav{
		background-color: '. esc_attr($menu_bg_color) . ';
	}
	.main-navigation ul.nav-menu > li > a,
	.main-navigation ul ul li a,
	.menu-hover-3 .main-navigation ul.nav-menu > li.menu-item-has-children:after{
		color: '. esc_attr($menu_font_color) . ';
	}
	.woocommerce-info {
	    border-top-color: ' . esc_attr($color_value) . ';
	}
	#recent {
	    background-color: ' . esc_attr($recent_background_color) . ';
	}
	#portfolio{
	    background-color: ' . esc_attr($portfolio_background_color) . ';
	}
	#about{
	    background-color: ' . esc_attr($about_background_color) . ';
	}
	#popular {
	    background-color: ' . esc_attr($popular_background_color) . ';
	}
	#trending{
	    background-color: ' . esc_attr($trending_background_color) . ';
	}
	#travel{
	    background-color: ' . esc_attr($travel_background_color) . ';
	}
	#mustread{
	    background-color: ' . esc_attr($mustread_background_color) . ';
	}
	#instagram{
	    background-color: ' . esc_attr($instagram_section_background_color) . ';
	}
	.half-image-slider #featured-slider {
	    background-color: ' . esc_attr($slider_background_color) . ';
	}
	.slick-dots li:hover button::before, 
	.slick-dots li:focus button::before{
		background-color: ' . esc_attr($color_value) . ' !important;
	}
	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a,
		.main-navigation ul#primary-menu ul li:hover > a,
		.main-navigation ul#primary-menu ul li:focus > a {
		    color: ' . esc_attr($color_value) . ';
		}
		.main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.main-navigation ul ul li.menu-item-has-children > a:hover > svg {
			fill: ' . esc_attr($color_value) . ';
		}
		#search:before {
		    border-bottom-color: ' . esc_attr($color_value) . ';
		}
	}
	@media screen and (min-width: 1200px) {
		#special-menu article:hover .entry-title a {
			color: ' . esc_attr($color_value) . ';
		}
	}

	.loader-container svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.single-post-wrapper span.posted-on svg,
	.single-post-wrapper span.cat-links svg {
		fill:#110e0e;
	}
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.main-navigation .count,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	.reply a:hover:before,
	.reply a:focus:before,
	.more-icon,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:focus, 
	.woocommerce #respond input#submit:disabled:focus, 
	.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.woocommerce a.button.disabled:focus, 
	.woocommerce a.button:disabled:focus, 
	.woocommerce a.button:disabled[disabled]:focus, 
	.woocommerce button.button.disabled:focus, 
	.woocommerce button.button:disabled:focus, 
	.woocommerce button.button:disabled[disabled]:focus, 
	.woocommerce input.button.disabled:focus, 
	.woocommerce input.button:disabled:focus, 
	.woocommerce input.button:disabled[disabled]:focus,
	#gallery .overlay,
	#special-menu article:hover .read-more {
		background-color: #110e0e;
	}
	.main-navigation ul.nav-menu > li:not(:last-child):after {
		background-color: #fff;
	}
	.post-navigation a, 
	.posts-navigation a,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_courses .course-wrapper h5 a:hover,
	.widget_featured_courses .course-wrapper h5 a:focus,
	.widget_featured_courses .tp-course-price,
	.widget_popular_courses .course-wrapper h5 a:hover,
	.widget_popular_courses .course-wrapper h5 a:focus,
	.widget_popular_courses .tp-course-price,
	.page-header small,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.icon-container i,
	#special-offer .price ins,
	#special-menu article:hover .woocommerce-Price-amount.amount,
	#special-offer .woocommerce-Price-amount.amount {
		color: #110e0e;
	}
	#special-menu .woocommerce-Price-amount.amount,
	#special-menu .section-subtitle,
	#special-menu .entry-content, 
	#special-menu .entry-content p{
		color: #fff;
	}
	
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:focus, 
	.woocommerce #respond input#submit:disabled:focus, 
	.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.woocommerce a.button.disabled:focus, 
	.woocommerce a.button:disabled:focus, 
	.woocommerce a.button:disabled[disabled]:focus, 
	.woocommerce button.button.disabled:focus, 
	.woocommerce button.button:disabled:focus, 
	.woocommerce button.button:disabled[disabled]:focus, 
	.woocommerce input.button.disabled:focus, 
	.woocommerce input.button:disabled:focus, 
	.woocommerce input.button:disabled[disabled]:focus {
		border-color: #110e0e;
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	$css .= '
	.page .page-title,
	.single .page-title,
	.single .entry-title,
	.entry-title{
	    text-transform: ' . esc_attr($header_text_transform) . ';
	}
	.page .page-title,
	.single .page-title,
	.single .entry-title,
	.entry-title{
	    text-decoration: ' . esc_attr($header_text_decoration) . ';
	}
	.page .page-title,
	.single .page-title,
	.single .entry-title,
	.entry-title{
	    font-style: ' . esc_attr($header_font_style) . ';
	}';
	/**
	 * Filters Kuza custom colors CSS.
	 *
	 * @since Kuza 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'kuza_custom_colors_css', $css );
}
