<?php
/**
 * Home Page Options.
 *
 * @package Kuza
 */

$default = kuza_get_default_theme_options();
$homepage_design_layout     = kuza_get_option( 'homepage_design_layout_options' );

// Add Panel.
$wp_customize->add_panel( 'home_page_panel',
	array(
	'title'      => __( 'Front Page Sections', 'kuza' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	)
);

/**
* Section Customizer Options.
*/

if ($homepage_design_layout=='home-magazine') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/headlines.php';
	require get_template_directory() . '/inc/customizer/sections/hero.php';
	require get_template_directory() . '/inc/customizer/sections/portfolio.php';
	require get_template_directory() . '/inc/customizer/sections/galleryview.php';
	require get_template_directory() . '/inc/customizer/sections/recent.php';
	require get_template_directory() . '/inc/customizer/sections/ads.php';
	require get_template_directory() . '/inc/customizer/sections/trending.php';
	require get_template_directory() . '/inc/customizer/sections/categorynews.php';
	require get_template_directory() . '/inc/customizer/sections/travel.php';
	require get_template_directory() . '/inc/customizer/sections/adssec.php';
	require get_template_directory() . '/inc/customizer/sections/newsfeatured.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}

if ($homepage_design_layout=='home-blog') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/portfolio.php';
	require get_template_directory() . '/inc/customizer/sections/galleryview.php';
	require get_template_directory() . '/inc/customizer/sections/adssec.php';
	require get_template_directory() . '/inc/customizer/sections/trending.php';	
	require get_template_directory() . '/inc/customizer/sections/travel.php';
	require get_template_directory() . '/inc/customizer/sections/ads.php';
	require get_template_directory() . '/inc/customizer/sections/popular.php';
	require get_template_directory() . '/inc/customizer/sections/newsfeatured.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
	require get_template_directory() . '/inc/customizer/sections/instagram.php';
}

if ($homepage_design_layout=='home-minimal-blog') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/galleryview.php';
	require get_template_directory() . '/inc/customizer/sections/fitnesscat.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
	require get_template_directory() . '/inc/customizer/sections/instagram.php';
}
if ($homepage_design_layout=='home-classic-blog') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/fitnesscat.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/gallery.php';
	require get_template_directory() . '/inc/customizer/sections/newsfeatured.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}

if ($homepage_design_layout=='home-normal-magazine') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/headlines.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/newsfeatured.php';
	require get_template_directory() . '/inc/customizer/sections/about.php';
	require get_template_directory() . '/inc/customizer/sections/galleryview.php';
	require get_template_directory() . '/inc/customizer/sections/trending.php';
	require get_template_directory() . '/inc/customizer/sections/categorynews.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
	require get_template_directory() . '/inc/customizer/sections/travel.php';
	require get_template_directory() . '/inc/customizer/sections/ads.php';
	require get_template_directory() . '/inc/customizer/sections/adssec.php';	
}
if ($homepage_design_layout=='home-normal-blog') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/galleryview.php';
	require get_template_directory() . '/inc/customizer/sections/travel.php';
	require get_template_directory() . '/inc/customizer/sections/popular.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
	require get_template_directory() . '/inc/customizer/sections/instagram.php';	
}
if ($homepage_design_layout=='home-business') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/services.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/portfolio.php';
	require get_template_directory() . '/inc/customizer/sections/information.php';
	require get_template_directory() . '/inc/customizer/sections/team.php';
	require get_template_directory() . '/inc/customizer/sections/cta.php';
	require get_template_directory() . '/inc/customizer/sections/testimonial.php';
	require get_template_directory() . '/inc/customizer/sections/pricing.php';
	require get_template_directory() . '/inc/customizer/sections/client.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}
if ($homepage_design_layout=='home-corporate') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/services.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/portfolio.php';
	require get_template_directory() . '/inc/customizer/sections/features.php';	
	require get_template_directory() . '/inc/customizer/sections/information.php';
	require get_template_directory() . '/inc/customizer/sections/team.php';
	require get_template_directory() . '/inc/customizer/sections/cta.php';
	require get_template_directory() . '/inc/customizer/sections/testimonial.php';
	require get_template_directory() . '/inc/customizer/sections/pricing.php';
	require get_template_directory() . '/inc/customizer/sections/client.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}
if ($homepage_design_layout=='home-medical') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/appointment.php';
	require get_template_directory() . '/inc/customizer/sections/timetable.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/services.php';
	require get_template_directory() . '/inc/customizer/sections/portfolio.php';
	require get_template_directory() . '/inc/customizer/sections/features.php';	
	require get_template_directory() . '/inc/customizer/sections/information.php';
	require get_template_directory() . '/inc/customizer/sections/team.php';
	require get_template_directory() . '/inc/customizer/sections/cta.php';
	require get_template_directory() . '/inc/customizer/sections/testimonial.php';
	require get_template_directory() . '/inc/customizer/sections/pricing.php';
	require get_template_directory() . '/inc/customizer/sections/client.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}
if ($homepage_design_layout=='home-education') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/appointment.php';
	require get_template_directory() . '/inc/customizer/sections/timetable.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/project.php';
	require get_template_directory() . '/inc/customizer/sections/services.php';
	require get_template_directory() . '/inc/customizer/sections/event.php';
	require get_template_directory() . '/inc/customizer/sections/portfolio.php';
	require get_template_directory() . '/inc/customizer/sections/features.php';	
	require get_template_directory() . '/inc/customizer/sections/information.php';
	require get_template_directory() . '/inc/customizer/sections/team.php';
	require get_template_directory() . '/inc/customizer/sections/cta.php';
	require get_template_directory() . '/inc/customizer/sections/testimonial.php';
	require get_template_directory() . '/inc/customizer/sections/pricing.php';
	require get_template_directory() . '/inc/customizer/sections/client.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}
if ($homepage_design_layout=='home-fitness') {
	
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/fitnesscat.php';
	require get_template_directory() . '/inc/customizer/sections/timetable.php';
	require get_template_directory() . '/inc/customizer/sections/message.php';
	require get_template_directory() . '/inc/customizer/sections/project.php';
	require get_template_directory() . '/inc/customizer/sections/services.php';
	require get_template_directory() . '/inc/customizer/sections/testimonial.php';
	require get_template_directory() . '/inc/customizer/sections/mustread.php';
}

if ($homepage_design_layout=='home-nature') {
	require get_template_directory() . '/inc/customizer/sections/header.php';
	require get_template_directory() . '/inc/customizer/sections/home-layout.php';
	require get_template_directory() . '/inc/customizer/sections/slider.php';
	require get_template_directory() . '/inc/customizer/sections/naturefeatured.php';
	require get_template_directory() . '/inc/customizer/sections/naturegallery.php';
	require get_template_directory() . '/inc/customizer/sections/gallery.php';
	require get_template_directory() . '/inc/customizer/sections/rightslide.php';
	require get_template_directory() . '/inc/customizer/sections/newsfeatured.php';
	require get_template_directory() . '/inc/customizer/sections/instagram.php';
}
