<?php
/**
 * Author options.
 *
 * @package Kuza
 */

$default = kuza_get_default_theme_options();
$home_layout = kuza_get_option( 'homepage_design_layout_options' );

// Author section
$wp_customize->add_section( 'section_home_message',
	array(
		'title'      => __( 'Author Section', 'kuza' ),
		'capability' => 'edit_theme_options',
		'panel'      => 'home_page_panel',
		'active_callback' => 'kuza_message_design_enable',
		)
);


$wp_customize->add_setting( 'theme_options[disable_message_section]',
	array(
		'default'           => $default['disable_message_section'],
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kuza_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Kuza_Switch_Control( $wp_customize, 'theme_options[disable_message_section]',
    array(
		'label' 			=> __('Disable Author section', 'kuza'),
		'section'    		=> 'section_home_message',
		'on_off_label' 		=> kuza_switch_options(),
    )
) );
// Add posted on enable setting and control.
$wp_customize->add_setting( 'theme_options[message_content_enable]', array(
	'default'           => $default['message_content_enable'],
	'sanitize_callback' => 'kuza_sanitize_checkbox',
) );

$wp_customize->add_control( 'theme_options[message_content_enable]', array(
	'label'             => esc_html__( 'Enable Author Content Area', 'kuza' ),
	'section'           => 'section_home_message',
	'type'              => 'checkbox',
	'active_callback' => 'kuza_message_active',
) );

if ($home_layout=='home-education' || $home_layout=='home-fitness' || $home_layout=='home-classic-blog' || $home_layout=='home-minimal-blog') {
	// message title setting and control
	$wp_customize->add_setting( 'theme_options[message_background_img]', array(
		'type'              => 'theme_mod',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'theme_options[message_background_img]', array(
		 'label'           	=> esc_html__( 'Select Side Top Image ', 'kuza' ), 
		'section'        	=> 'section_home_message',
		'settings'    		=> 'theme_options[message_background_img]',	
		'active_callback' 	=> 'kuza_message_active',
	) ) );

	// message title setting and control
	$wp_customize->add_setting( 'theme_options[message_second_background_img]', array(
		'type'              => 'theme_mod',
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'theme_options[message_second_background_img]', array(
		 'label'           	=> esc_html__( 'Select Side Bottom Image ', 'kuza' ), 
		'section'        	=> 'section_home_message',
		'settings'    		=> 'theme_options[message_second_background_img]',	
		'active_callback' 	=> 'kuza_message_active',
	) ) );
}


// Additional Information First Page
$wp_customize->add_setting('theme_options[message_page]', 
	array(
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'kuza_dropdown_pages'
	)
);

$wp_customize->add_control('theme_options[message_page]', 
	array(
	'label'       => __('Select Page', 'kuza'),
	'section'     => 'section_home_message',   
	'settings'    => 'theme_options[message_page]',		
	'type'        => 'dropdown-pages',
	'active_callback' => 'kuza_message_active',
	)
);