<?php
/**
 * Course slider options.
 *
 * @package Kuza
 */

$default = kuza_get_default_theme_options();

// Post Slider Author Section
$wp_customize->add_section( 'section_home_project',
	array(
		'title'      => __( 'Course', 'kuza' ),
		'capability' => 'edit_theme_options',
		'panel'      => 'home_page_panel',
		'active_callback' => 'kuza_project_design_enable',
		)
);

$wp_customize->add_setting( 'theme_options[disable_project_section]',
	array(
		'default'           => $default['disable_project_section'],
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'kuza_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Kuza_Switch_Control( $wp_customize, 'theme_options[disable_project_section]',
    array(
		'label' 			=> __('Enable/Disable Course Section', 'kuza'),
		'section'    		=> 'section_home_project',
		 'settings'  		=> 'theme_options[disable_project_section]',
		'on_off_label' 		=> kuza_switch_options(),
    )
) );
// Add category enable setting and control.
$wp_customize->add_setting( 'theme_options[project_category_enable]', array(
	'default'           => $default['project_category_enable'],
	'sanitize_callback' => 'kuza_sanitize_checkbox',
) );

$wp_customize->add_control( 'theme_options[project_category_enable]', array(
	'label'             => esc_html__( 'Enable Category', 'kuza' ),
	'section'           => 'section_home_project',
	'type'              => 'checkbox',
	'active_callback' => 'kuza_project_active',
) );
//About Section title
$wp_customize->add_setting('theme_options[project_title]', 
	array(
	'default'           => $default['project_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[project_title]', 
	array(
	'label'       => __('Section Title', 'kuza'),
	'section'     => 'section_home_project',   
	'settings'    => 'theme_options[project_title]',
	'active_callback' => 'kuza_project_active',		
	'type'        => 'text'
	)
);

//About Section Subtitle
$wp_customize->add_setting('theme_options[project_subtitle]', 
	array(
	'default'           => $default['project_subtitle'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_textarea_field'
	)
);

$wp_customize->add_control('theme_options[project_subtitle]', 
	array(
	'label'       => __('Section Sub Title', 'kuza'),
	'section'     => 'section_home_project',   
	'settings'    => 'theme_options[project_subtitle]',
	'active_callback' => 'kuza_project_active',		
	'type'        => 'textarea'
	)
);
// Setting  Team Category.
$wp_customize->add_setting( 'theme_options[project_category]',
	array(

	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	new Kuza_Dropdown_Taxonomies_Control( $wp_customize, 'theme_options[project_category]',
		array(
		'label'    => __( 'Select Category', 'kuza' ),
		'section'  => 'section_home_project',
		'settings' => 'theme_options[project_category]',	
		'active_callback' => 'kuza_project_active',		
		)
	)
);
